Page 1 of 1

cannot install sense-hat via apt-get

Posted: Wed Dec 05, 2018 1:25 pm
by gcd0318
I got my SenseHat just not, and connect with my rpi 3a+, and try to install sense-hat package:

Code: Select all

sudo apt-get install sense-hat
and got the following error:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package sense-hat
I'm not sure what happened to the repos. Could anyone give me some suggestion? Thanks

BTW:
I also tried to install via pip, and looks successfully installed, but when I import by python:

Code: Select all

>>> from sense_hat import SenseHat
I got following error:
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/local/lib/python3.5/dist-packages/sense_hat/__init__.py", line 2, in <module>
from .sense_hat import SenseHat, SenseHat as AstroPi
File "/usr/local/lib/python3.5/dist-packages/sense_hat/sense_hat.py", line 10, in <module>
import RTIMU # custom version
ImportError: No module named 'RTIMU'
So what should I do then?